Get Object Relationships
Get a list of people people related to an object.
You can use the start parameter with the next property in responses to return pages of results. However, it's possible that you'll see duplicate entries across pages. If you want to export objects or relationships, you may want to use the export feature in our UI to return complete results.
- Type: integerobject
_type _id requiredThe object type an object belongs to—like "Companies" or "Accounts". Object type IDs begin at
1and increment for each new type. - Type: stringobject
_id requiredThe
object_idorcio_object_idof an object, depending on theid_typespecified in query params.id_typedefaults toobject_id.
- Type: stringstart
The token for the page of results you want to return. Responses contain a
nextproperty. Use this property as thestartvalue to return the next page of results. - Type: integerlimit
The maximum number of results you want to retrieve per page.
- Type: stringenumid
_type values- object
_id - cio
_object _id
- application/json
- 401
Unauthorized request. Make sure that you provided the right credentials.
- 429
Your request is over the 10-per-second limit.
curl 'https://api.customer.io/v1/objects/1/abc123/relationships?start=&limit=1&id_type=object_id' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"cio_relationships": [
[
{
"identifiers": {
"cio_id": "ob020101",
"id": "acmeInc"
},
"object_type_id": "1",
"object_type_disabled": false
}
]
],
"next": "string"
}Returns an array of cio_relationships. Each object in the array represents a person related to the object specified in the endpoint path.